require"map"

function load_ColMap(Loc)
	
	ColMapSource = love.image.newImageData(Loc)
	cmw, cmh = ColMapSource:getWidth(), ColMapSource:getHeight()
	ColMap = {}
	
	cmh = cmh * blockscale
	cmw = cmw * blockscale
	
	for x = 0, cmw-1 do
		ColMap[x] = {}
		for y = 0, cmh-1 do
			local r, g, b, a = ColMapSource:getPixel(x/blockscale, y/blockscale)
			
			if r == 0 and g == 0 and b == 0 then
				iscol = 0
			elseif r == 255 and g == 255 and b == 255 then
				iscol = 1
			end
			
			ColMap[x][y] = iscol
		end
	end
	
	
	
end

function checkCol(obj1, obj2, typecol)
	
	
	
	obj1h = obj1.getHeight()*2
	obj1w = obj1.getWidth()*2
	obj1x = obj1.getX() - (32*2/2)
	obj1y = obj1.getY() - (32*2/2)
	
	if obj2 ~= nil then
		obj2h = obj2.getHeight()*2
		obj2w = obj2.getWidth()*2
		obj2x = obj2.getX() - (32*2/2)
		obj2y = obj2.getY() - (32*2/2)
	end
	
	if typecol == "intersec" then
		if obj1x <= obj2x + obj2w and obj1x + obj1w >= obj2x and obj1y <= obj2y + obj2h and  obj1y + obj1h >= obj2y then
			return false
		else
			return true
		end
	end
	
	if typecol == "left" then
		if ColMap[math.floor((obj1x - 1)/32)][math.floor((obj1y + 1)/32)] == 1 or ColMap[math.floor((obj1x - 1)/32)][math.floor(((obj1y + obj1h) - 2)/32)] == 1 then
			return true
		else
			return false
		end
	end
	
	if typecol == "right" then
		if ColMap[math.floor((obj1x + obj1w + 1)/32)][math.floor((obj1y - 1)/32)] == 1 or ColMap[math.floor((obj1x + obj1w + 1)/32)][math.floor((obj1y + obj1h - 1)/32)] == 1 then
			return true
		else
			return false
		end
	end
	
	if typecol == "top" then
		if ColMap[math.floor((obj1x + 1)/32)][math.floor((obj1y - 1)/32)] == 1 or ColMap[math.floor((obj1x + obj1w - 1)/32)][math.floor((obj1y - 1)/32)] == 1 then
			return true
		elseif ColMap[math.floor((obj1x + 1)/32)][math.floor((obj1y - 1)/32)] == nil or ColMap[math.floor((obj1x + obj1w - 1)/32)][math.floor((obj1y - 1)/32)] == nil then
			return false
		else
			return false
		end
	end	
	
	if typecol == "bottom" then
		if ColMap[math.floor((obj1x + 1)/32)][math.floor((obj1y + obj1h + 1)/32)] == 1 or ColMap[math.floor((obj1x + obj1w - 1)/32)][math.floor((obj1y + obj1h + 1)/32)] == 1 then
			return true
		else
			return false
		end
	end
	
end

function update_DamgCol()
	
	if Player.getHealth() <= 0 then
		print("dead!")
		love.load()
	end
	
	for i = 0, table.getn(Mobs) do
		if checkCol(Player, Mobs[i], "intersec") == false then
			hit = true
			if dir == "right" then
				Player.move(-20, 0)
			end
			if dir == "left" then
				Player.move(20, 0)
			end
			if dir == "top" then
				Player.move(0, 20)
			end
			if falling or dir == "top" then
				Player.move(0, -20)
			end
			Player.damg(Mobs[i].getDamPow())
		else
			hit = false
		end
	end

end

function update_iteamCol() 
	for i = 0, table.getn(Iteams) do
		if checkCol(Player, Iteams[i], "intersec") == false then
			if Iteams[i] ~= nil then
				hititeam = true
				Player.gotIteam(Iteams[i].getAction())
				
				Iteams[i] = nil
			end
		else
			hititeam = false
		end
	end
end