--Load function
function load_iteams()
	require"player"
	
	--Load Iteams Image
	ImgIteams = love.graphics.newImage("/GFX/Blocks/Iteams.png")
	ImgIteams:setFilter("nearest", "nearest")
	iteamsheetw, iteamsheeth = ImgIteams:getWidth(), ImgIteams:getHeight()
	
	--Makes Quads for Iteam sprites
	IteamsImgQ = {
		potion = {
			Quad(0, 0, 32, 32, iteamsheetw, iteamsheeth);
			Quad(0, 32, 32, 32, iteamsheetw, iteamsheeth);
		},		
		cake = {
			Quad(32, 0, 32, 32, iteamsheetw, iteamsheeth);
			Quad(32, 32, 32, 32, iteamsheetw, iteamsheeth);
		}
	}
	
	--Sets Vars
	iteamscale = 2
	iteamframe = 1
	iteamtimer = 0
	
end

--Draws Iteams
function iteams_draw(typeiteam, iteamx, iteamy)
	
	--Draws Iteams Quad
	love.graphics.drawq(ImgIteams, IteamsImgQ[typeiteam][iteamframe], iteamx + mapx, iteamy + mapy, 0, iteamscale, iteamscale)
	
end

--Updates Iteams
function iteams_update(dt)
	
	--Iteam Animation Timer
	iteamtimer = iteamtimer + dt
	if iteamtimer >= .5 then
		if iteamframe >= 2 then
			iteamframe = 0
		end
		iteamtimer = 0
		iteamframe = iteamframe + 1
	end
	
end

--Sets Iteam object
Iteam = {}

Iteam.Spawn = function(sx, sy, iteam)
	
	--Object Varibles
	local obj = {}
	local x = sx
	local y = sy
	local ItName = iteam
	
	--Draws Iteams
	obj.draw = function()
		
		iteams_draw(ItName, x, y)
		
	end
	
	--Returns X
	obj.getX = function()
		
		return x
		
	end
	
	--Returns Y
	obj.getY = function()
	
		return y
		
	end
	
	--Returns Iteams Name
	obj.getIteamName = function()
		
		return ItName
		
	end
	
	--Get the width of the iteam
	obj.getWidth = function()
		
		if iteam == "potion" then 
			return 13 * iteamscale
		elseif iteam == "cake" then
			return 24 * iteamscale
		else
			return 32 * iteamscale
		end
		
	end
	
	--Get the height of the iteam
	obj.getHeight = function()
		
		if iteam == "potion" then 
			return 22 * iteamscale 
		elseif iteam == "cake" then
			return 13 * iteamscale 
		else
			return 32 * iteamscale
		end
		
	end
	
	--Gets the action
	obj.getAction = function()
		
		if iteam == "potion" then 
			return 20, "heal" 
		elseif iteam == "cake" then
			return 10, "heal" 
		else
			return 5, "heal"
		end
		
	end
	
	return obj
	
end