function load_map(loc)
	require"entity"
	require"iteams"
	
	
	--Load Img for Map
	ImgBlocks = love.graphics.newImage("/GFX/Blocks/blocks.png")
	ImgMap = love.image.newImageData(loc)
	ImgBlocks:setFilter("nearest", "nearest")
	blocksheetw, blocksheeth = ImgBlocks:getWidth(), ImgBlocks:getHeight()
	mapw, maph = ImgMap:getWidth(), ImgMap:getHeight()
	
	--Array to get blocks.
	Blocks = {
		Quad(0, 0, 32, 32,  blocksheetw, blocksheeth);
		Quad(32, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(64, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(96, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(128, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(160, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(192, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(224, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(256, 0, 32, 32, blocksheetw, blocksheeth);
		Quad(288, 0, 32, 32, blocksheetw, blocksheeth);
	}
	
	--MapData holds the map...
	MapData = {}
	
	--Arrays holds all the Mobs and Iteams objects
	Mobs = {}
	Iteams = {}
	
	--Vars for use
	blockscale = 2
	nummobs = 0
	numiteams = 0
	playerx, playery = game_width/2, game_height - 100
	mapx = 0
	mapy = 0
	spritew, spriteh = 32, 32
	
	--Loads the Map 
	for x = 0, mapw-1 do
		MapData[x] = {}
		for y = 0, maph-1 do
		
			local r, g, b, a = ImgMap:getPixel(x, y)
			if r == 255 and g == 255 and b == 255 then
				block = 0
			elseif r == 0 and g == 255 and b == 0 then
				block = 1
			elseif r == 255 and g == 0 and b == 0 then
				block = 2
			elseif r == 255 and g == 255 and b == 0 then
				block = 3
			elseif r == 255 and g == 0 and b == 220 then
				mapx = x*2 + 64*2
				mapy = y*2 - playery + 64*2 + 32
				Player = Entity.Init(playerx, playery, "player")
			elseif r == 255 and g == 120 and b == 0 then
				Mobs[nummobs] = Entity.Init(x*spritew, y*spriteh, "testMob")
				nummobs = nummobs + 1
			elseif r == 190 and g == 135 and b == 95 then
				block = 4
			elseif r == 170 and g == 20 and b == 0 then
				Iteams[numiteams] = Iteam.Spawn(x*blockscale*spritew, y*blockscale*spriteh+10*2, "potion")
				numiteams = numiteams + 1
			elseif r == 255 and g == 100 and b == 85 then
				Iteams[numiteams] = Iteam.Spawn(x*blockscale*spritew, y*blockscale*spriteh+13*2, "cake")
				numiteams = numiteams + 1
			elseif r == 0 and g == 150 and b == 0 then
				block = 5
			elseif r == 0 and g == 200 and b == 0 then
				block = 6
			elseif r == 0 and g == 200 and b == 50 then
				block = 7
			elseif r == 0 and g == 150 and b == 40 then
				block = 8
			elseif r == 150 and g == 110 and b == 75 then
				block = 9
			elseif r == 0 and g == 0 and b == 0 then
				block = 10
			end
			
			--Loads all the blocks in a 2D Array
			MapData[x][y] = block
			
		end
	end
	
end

function draw_map()

	for x = 0, mapw-1 do 
		for y = 0, maph-1 do
			if MapData[x][y] ~= 0 then
			
				--Draws the MapData
				love.graphics.drawq(ImgBlocks, Blocks[MapData[x][y]], x*spritew*blockscale+mapx, y*spriteh*blockscale+mapy, 0 , blockscale, blockscale)
				if (deing == true) then
					love.graphics.rectangle("line", x*spritew*blockscale+mapx, y*spritew*blockscale+mapy, spritew*blockscale, spritew*blockscale)
					love.graphics.setColor(255, 0, 0, 255)
					love.graphics.print(MapData[x][y], (x*spritew*blockscale+mapx), (y*spriteh*blockscale+mapy))
					love.graphics.setColor(255, 255, 255, 255)
				end
			end
		end
	end
	
end