require"col"

--Loads Image
ImgPlayer = love.graphics.newImage("GFX/Player/blob.png")
ImgPlayer:setFilter("nearest", "nearest")
--Player Image Quad
PlayerImgQ = {
	right = {
		Quad(0,  0, 32, 32, 128, 128);
		Quad(32, 0, 32, 32, 128, 128);
		Quad(64, 0, 32, 32, 128, 128);
		Quad(96, 0, 32, 32, 128, 128);
	},
	left = {
		Quad(0,  32, 32, 32, 128, 128);
		Quad(32, 32, 32, 32, 128, 128);
		Quad(64, 32, 32, 32, 128, 128);
		Quad(96, 32, 32, 32, 128, 128);
	},
	up = {
		Quad(0,  96, 32, 32, 128, 128);
		Quad(32, 96, 32, 32, 128, 128);
		Quad(64, 96, 32, 32, 128, 128);
		Quad(96, 96, 32, 32, 128, 128);
	},
	rest = {
		Quad(0,  64, 32, 32, 128, 128);
		Quad(32, 64, 32, 32, 128, 128);
		Quad(64, 64, 32, 32, 128, 128);
		Quad(96, 64, 32, 32, 128, 128);
	}
}

--Vars used
jumpheight = 200
inair = 0
grav = .5
dir = "rest"
playerframe = 1
anispeed = 0.3
playertimer = 0
falling = false
isjumping = false
	
--Draws Player
function draw_player(px,py)
	
	love.graphics.drawq(ImgPlayer, PlayerImgQ[dir][playerframe], px - (32*2/2), py - (32*2/2), 0, 2, 2)
	
end

--Updates Player
function player_update(dt)

	--Sets the timer for frame
	if not love.keyboard.isDown() then
		playertimer = playertimer + dt
		if playertimer >= anispeed then
			playerframe = playerframe + 1
			if playerframe >= 4 then
				playerframe = 1
			end
			playertimer = 0
		end
	end
	
	--If key is not down "rest"
	if not love.keyboard.isDown() then
		dir = "rest"
	end
	
	--Moves player up
	if love.keyboard.isDown('w') or love.keyboard.isDown('up') and checkCol(Player, nil, "top") == false then
		dir = "up"
		Player.move(0, -10)
	end
	
	--Moves player left
	if love.keyboard.isDown('a') or love.keyboard.isDown('left') and checkCol(Player, nil, "left") == false then
		dir = "left"
		Player.move(-2, 0)
	end
	
	--Checks in player hit the ground
	if checkCol(Player, nil, "bottom") == false then
		falling = true
		Player.move(0, 2*grav)
	else
		falling = false
	end
	
	--Moves player right
	if love.keyboard.isDown('d') or love.keyboard.isDown('right') and checkCol(Player, nil, "right") == false then
		dir = "right"
		Player.move(2, 0)
	end
	
end